Subject: Re: [PATCH v2 1/3] last-modified: rewrite error message when more than one revision given

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jan 2026 09:16:03 -0800

Patrick Steinhardt <[email-masked]> writes:

>> Surprised that “revision” is a synonym for commit? Why is that?
>
> Because in my mind a revision can resolve to any object type.

Yup, in the early days of this mailing list (like in 2005 ;-), the
word "revision" was used more or less interchangeably with "object
name", but "a revision" was much more likely to refer to a commit
than "an object name".  The name of the file that implements one of
the more core-ish part of the system is "revision.c" and talks about
"revision traversal", which is mostly about following parent pointers
in commit DAG, but also follows into trees starting from commits.

> Also, it's confusing to conflate the way to name a commit with a commit
> itself. "HEAD~10" is a revision, but taken by itself it's not a commit.

I do not know about this.  If HEAD~10 does not resolve to anything,
it would not be a commit and it would not be a revision, either.

> It's not even clear whether it resolves, so it feels sensible to me to
> keep these two concepts separate from one another.
>
> Patrick